<h1 style="text-align: center">Create account</h1>
<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="create-ych-container">
  <div class="p-grid center-container">
    <div class="p-col-12">
      <app-control-change-data
        [controlName]="'login'"
        [controlType]="'TEXT'"
        [errorKeys]="['required', 'maxlength', 'minlength', 'loginIsTaken']"
        [labelValue]="'Login:'"
        [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data
        [controlName]="'password'"
        [controlType]="'TEXT_PASSWORD'"
        [errorKeys]="['required', 'maxlength', 'minlength']"
        [labelValue]="'Password:'"
        [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data
        [controlName]="'repeatPassword'"
        [controlType]="'TEXT_PASSWORD'"
        [errorKeys]="['required', 'passwordIsNotEquals', 'maxlength', 'minlength']"
        [labelValue]="'Repeat Password:'"
        [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data
        [controlName]="'userName'"
        [controlType]="'TEXT'"
        [errorKeys]="['required','maxlength', 'minlength', 'userNameIsTaken']"
        [labelValue]="'User Name:'"
        [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data
        [controlName]="'email'"
        [controlType]="'TEXT'"
        [errorKeys]="['required', 'email', 'maxlength', 'emailIsTaken']"
        [labelValue]="'Email:'"
        [parentForm]="formGroup">
      </app-control-change-data>
    </div>
  </div>

  <div class="p-d-flex p-jc-center">
    <p-captcha (onResponse)="showResponse($event)" siteKey="6LfNNVQaAAAAAEXMqwtyotLlpECJlqSnqBKaXCM4"></p-captcha>
  </div>

  <div class="p-d-flex p-jc-center" style="margin-top: 30px;">
    <div class="p-mr-2">
      <button label="Submit" pButton type="submit"></button>
    </div>
  </div>
</form>
